Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.ui.wizards
Class NewQueryClassWizardPage

    java.lang.Object
      NewClassWizardPage
          org.eclipse.gmt.modisco.infra.query.ui.wizards.NewQueryClassWizardPage

All Implemented Interfaces:
  IQueryAttributesWizardPage

    public class NewQueryClassWizardPage

extends NewClassWizardPage
implements IQueryAttributesWizardPage

Constructor Summary
`NewQueryClassWizardPage(EditingDomain editingDomain)`

Method Summary
`void` | `apply(ModelQuery modelQuery)` Called when the wizard is finished to apply the attributes defined in the wizard page to the model query.
`void` | `init(ModelQuerySet modelQuerySet, ModelQuery modelQuery)` Initialize the wizard page

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewQueryClassWizardPage

    public NewQueryClassWizardPage(EditingDomain editingDomain)

Parameters:
  `editingDomain` - the editing domain to use to edit the query (may be `null`)

Method Detail

### init

    public void init(ModelQuerySet modelQuerySet,
                     ModelQuery modelQuery)

  Description copied from interface: `IQueryAttributesWizardPage`
  Initialize the wizard page

  Specified by:
    `init` in interface `IQueryAttributesWizardPage`
  Parameters:
    `modelQuerySet` - an existing query set, in which the query will be added
    `modelQuery` - the query that will be added to the query set when the wizard finishes

### apply

    public void apply(ModelQuery modelQuery)

  Description copied from interface: `IQueryAttributesWizardPage`
  Called when the wizard is finished to apply the attributes defined in the wizard page to the model query.

  Specified by:
    `apply` in interface `IQueryAttributesWizardPage`
  Parameters:
    `modelQuery` - the query to which to apply the wizard page's attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD